#
# Version 1.0.0
stages:
  - buildAndPublish

Build and publish archive:
  stage: buildAndPublish
  image: alpine:3.9
  before_script:
    - apk update && apk add zip lftp curl
  script:
    - echo "{\"CI_COMMIT_TAG\":\"${CI_COMMIT_TAG}\", \"CI_PROJECT_NAME\":\"${CI_PROJECT_NAME}\", \"CI_COMMIT_TITLE\":\"${CI_COMMIT_TITLE}\", \"CI_COMMIT_REF_NAME\":\"${CI_COMMIT_REF_NAME}\"}" >> "../geo_location_${CI_COMMIT_TAG}.json"
    - zip -r "../geo_location_${CI_COMMIT_TAG}.zip" . -x "*.git*" ".gitlab-ci.yml"
    - cp ./composer.json "../geo_location_composer_${CI_COMMIT_TAG}.json"
    - lftp -c "set ftp:ssl-allow no; open -u $FTP_USERNAME,$FTP_PASSWORD $FTP_HOST/geo_location/packages/; put -a ../geo_location_${CI_COMMIT_TAG}.zip ../geo_location_${CI_COMMIT_TAG}.json ../geo_location_composer_${CI_COMMIT_TAG}.json"
  only:
    - tags
